com.tibbo.aggregate.common.action.command

## Class ShowDiff

- java.lang.Object
- - com.tibbo.aggregate.common.action.GenericActionCommand
  - - com.tibbo.aggregate.common.action.command.ShowDiff

- All Implemented Interfaces:
    ActionCommand, java.lang.Cloneable

      public class ShowDiff
      extends GenericActionCommand

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `CF_FIRST_FILE`
    `static java.lang.String` | `CF_FIRST_FILE_TITLE`
    `static java.lang.String` | `CF_SECOND_FILE`
    `static java.lang.String` | `CF_SECOND_FILE_TITLE`
    `static TableFormat` | `CFT_SHOW_DIFF`

    - ### Fields inherited from class com.tibbo.aggregate.common.action.GenericActionCommand

      `CF_COMPONENT_LOCATION`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ShowDiff()`
    `ShowDiff(java.lang.String title, DataTable parameters)`
    `ShowDiff(java.lang.String title, java.lang.String _firstFileTitle, java.lang.String _firstFile, java.lang.String _secondFileTitle, java.lang.String _secondFile)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected DataTable` | `constructParameters()`

    - ### Methods inherited from class com.tibbo.aggregate.common.action.GenericActionCommand

      `clone, createDefaultResponse, equals, getComponentLocation, getParameters, getRequestId, getResponseFormat, getTitle, getType, hashCode, isBatchEntry, isInteractive, isLast, isResponseValid, setBatchEntry, setComponentLocation, setComponentLocation, setInteractive, setLast, setParameters, setRequestId, setTitle, setType, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### CF_FIRST_FILE_TITLE

          public static final java.lang.String CF_FIRST_FILE_TITLE

      See Also:
        Constant Field Values

    - #### CF_FIRST_FILE

          public static final java.lang.String CF_FIRST_FILE

      See Also:
        Constant Field Values

    - #### CF_SECOND_FILE_TITLE

          public static final java.lang.String CF_SECOND_FILE_TITLE

      See Also:
        Constant Field Values

    - #### CF_SECOND_FILE

          public static final java.lang.String CF_SECOND_FILE

      See Also:
        Constant Field Values

    - #### CFT_SHOW_DIFF

          public static final TableFormat CFT_SHOW_DIFF

  - ### Constructor Detail

    - #### ShowDiff

          public ShowDiff()

    - #### ShowDiff

          public ShowDiff(java.lang.String title,
                          java.lang.String _firstFileTitle,
                          java.lang.String _firstFile,
                          java.lang.String _secondFileTitle,
                          java.lang.String _secondFile)

    - #### ShowDiff

          public ShowDiff(java.lang.String title,
                          DataTable parameters)

  - ### Method Detail

    - #### constructParameters

          protected DataTable constructParameters()

      Overrides:
        `constructParameters` in class `GenericActionCommand`